MacWrtProParserInternal::TextZone Struct Reference

Internal: a struct used to store a text zone. More...

## Public Member Functions

| TextZone ()

## Public Attributes

int | m_textLength
| the text length
std::vector< MWAWEntry > | m_entries
| the list of entries
std::vector< TextZoneData > | m_ids [2]
| two vector list of id ( charIds, paragraphIds)
std::vector< Token > | m_tokens
| the tokens list
bool | m_parsed
| true if the zone is sended

## Detailed Description

Internal: a struct used to store a text zone.

## Constructor & Destructor Documentation

## TextZone()

MacWrtProParserInternal::TextZone::TextZone | ( |  | ) |

inline

## Member Data Documentation

## m_entries

std::vector<MWAWEntry> MacWrtProParserInternal::TextZone::m_entries

the list of entries

Referenced by TextZone().

## m_ids

std::vector<TextZoneData> MacWrtProParserInternal::TextZone::m_ids[2]

two vector list of id ( charIds, paragraphIds)

## m_parsed

bool MacWrtProParserInternal::TextZone::m_parsed

true if the zone is sended

Referenced by TextZone().

## m_textLength

int MacWrtProParserInternal::TextZone::m_textLength

the text length

Referenced by TextZone().

## m_tokens

std::vector<Token> MacWrtProParserInternal::TextZone::m_tokens

the tokens list

Referenced by TextZone().

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx